package net.knarcraft.placeholdersigns.container;

import org.bukkit.block.Sign;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

/**
 * A record of a player's request to copy a sign
 *
 * @param player <p>The player requesting the sign copy</p>
 * @param sign   <p>The sign the player wants to copy</p>
 */
public record SignCopyRequest(@NotNull Player player, @NotNull Sign sign) {
}
